# Package org.eclipse.swt

SWT constants and error handling support.

See: Description

Class Summary
SWT: This class provides access to a small number of SWT system-wide methods, and in addition defines the public constants provided by SWT.

Exception Summary
SWTException: This runtime exception is thrown whenever a recoverable error occurs internally in SWT.

Error Summary
SWTError: This error is thrown whenever an unrecoverable error occurs internally in SWT.

## Package org.eclipse.swt Description

SWT constants and error handling support.

## Package Specification

This package provides the class `SWT` which contains all of the constants used by SWT as well as a small selection of error handling routines and queries such as `getPlatform` and `getVersion`.